Skip to content
OpenCode
Esc
navigateopen⌘Jpreview

List pending permission requests

Retrieve pending permission requests for a location.

GET/api/permission/request
Query parameters
locationobject | any
Responses
200Success
locationLocation.Inforequired
Show properties
directorystringrequired
workspaceIDobject
Show properties
object
projectobjectrequired
Show properties
idstringrequired
directorystringrequired
dataPermissionV2.Request[]required
Show properties
Array of PermissionV2.Request
idobjectrequired
Show properties
object
sessionIDobjectrequired
Show properties
object
actionstringrequired
resourcesstring[]required
savestring[]
metadataobject
sourcePermissionV2.Source
Show properties
Any of:
object
typestringrequired
Allowed:tool
messageIDstringrequired
callIDstringrequired
400InvalidRequestError
_tagstringrequired
Allowed:InvalidRequestError
messagestringrequired
kindstring | any
Show properties
Any of:
string
string
any
any
fieldstring | any
Show properties
Any of:
string
string
any
any
401UnauthorizedError
_tagstringrequired
Allowed:UnauthorizedError
messagestringrequired
Request
curl -X GET "/api/permission/request"
Response
{
  "location": {
    "directory": "string",
    "workspaceID": {},
    "project": {
      "id": "string",
      "directory": "string"
    }
  },
  "data": [
    {
      "id": {},
      "sessionID": {},
      "action": "string",
      "resources": [
        "string"
      ],
      "save": [
        "string"
      ],
      "metadata": {},
      "source": {
        "type": "tool",
        "messageID": "string",
        "callID": "string"
      }
    }
  ]
}